Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
test::AuxSerial Interface Reference

test routines for Raritan Aux Serial interface (RS485 on pins 3 and 6 of RJ45) Require TestMode to be ON. More...

`import"testrpc.idl";`

## Public Member Functions
int | getNumberOfPorts (out int numPorts)
| returns number of ports More...
int | testLoop (in int portNum, out string errstr)
| Performs a loop test with special test adapter. More...

## Public Attributes
constant int | OK = 0
| No error.
constant int | ERR_NO_TEST_MODE = 1
| Not in test mode.
constant int | ERR_INVAL_PORT_NUM = 2
| Invalid port number.
constant int | ERR_TEST_FAILED = 3
| Test failed.

## Detailed Description

test routines for Raritan Aux Serial interface (RS485 on pins 3 and 6 of RJ45) Require TestMode to be ON.

## Member Function Documentation

## ◆ getNumberOfPorts()

int test::AuxSerial::getNumberOfPorts | ( | out int | numPorts | ) |

returns number of ports

Returns
  0 if OK
  1 if not in test mode

## ◆ testLoop()

int test::AuxSerial::testLoop | ( | in int | portNum,
|  | out string | errstr
| ) |  |

Performs a loop test with special test adapter.

Returns
  OK if OK
  ERR_NO_TEST_MODE if not in test mode
  ERR_INVAL_PORT_NUM if invalid port number
  ERR_TEST_FAILED if test failed, errstr may be set

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/testrpc.idl